Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(4)

Issue 19796006: Support service accounts in the chromoting host. (Closed)

Created:
7 years, 2 months ago by rmsousa
Modified:
7 years, 1 month ago
Reviewers:
Sergey Ulanov, Jói
CC:
chromium-reviews, jamiewalch+watch_chromium.org, dcaiafa+watch_chromium.org, hclam+watch_chromium.org, wez+watch_chromium.org, amit, sanjeevr, garykac+watch_chromium.org, lambroslambrou+watch_chromium.org, rmsousa+watch_chromium.org, weitaosu+watch_chromium.org, alexeypa+watch_chromium.org, sergeyu+watch_chromium.org
Visibility:
Public.

Description

Support service accounts in the chromoting host. This change allows running a host *already configured* with service account credentials. Support for obtaining service account credentails during host setup will come in follow up CLs. BUG=224742 Committed: https://src.chromium.org/viewvc/chrome?view=rev&revision=217941

Patch Set 1 #

Total comments: 5

Patch Set 2 : Rename API key enum #

Patch Set 3 : Fix unit tests #

Patch Set 4 : Update python api keys help script #

Unified diffs Side-by-side diffs Delta from patch set Stats (+145 lines, -26 lines) Patch
M google_apis/google_api_keys.h View 1 1 chunk +1 line, -0 lines 0 comments Download
M google_apis/google_api_keys.cc View 1 2 chunks +23 lines, -0 lines 0 comments Download
M google_apis/google_api_keys.py View 1 2 3 1 chunk +3 lines, -0 lines 0 comments Download
M google_apis/google_api_keys_unittest.cc View 1 2 19 chunks +61 lines, -2 lines 0 comments Download
M remoting/host/chromoting_host.h View 1 chunk +1 line, -1 line 0 comments Download
M remoting/host/chromoting_host.cc View 1 chunk +2 lines, -2 lines 0 comments Download
M remoting/host/host_config.h View 1 chunk +2 lines, -0 lines 0 comments Download
M remoting/host/host_config.cc View 1 chunk +1 line, -0 lines 0 comments Download
M remoting/host/remoting_me2me_host.cc View 1 2 9 chunks +20 lines, -6 lines 0 comments Download
M remoting/host/signaling_connector.h View 1 chunk +5 lines, -1 line 0 comments Download
M remoting/host/signaling_connector.cc View 1 3 chunks +18 lines, -7 lines 0 comments Download
M remoting/protocol/me2me_host_authenticator_factory.h View 3 chunks +3 lines, -0 lines 0 comments Download
M remoting/protocol/me2me_host_authenticator_factory.cc View 1 3 chunks +5 lines, -7 lines 0 comments Download

Messages

Total messages: 16 (0 generated)
rmsousa
https://codereview.chromium.org/19796006/diff/1/remoting/host/signaling_connector.cc File remoting/host/signaling_connector.cc (right): https://codereview.chromium.org/19796006/diff/1/remoting/host/signaling_connector.cc#newcode234 remoting/host/signaling_connector.cc:234: // Service accounts use different API keys, as they ...
7 years, 2 months ago (2013-07-23 21:50:21 UTC) #1
Sergey Ulanov
lgtm https://codereview.chromium.org/19796006/diff/1/google_apis/google_api_keys.h File google_apis/google_api_keys.h (right): https://codereview.chromium.org/19796006/diff/1/google_apis/google_api_keys.h#newcode74 google_apis/google_api_keys.h:74: CLIENT_REMOTING_SERVICE_ACCOUNT, Maybe call it REMOTING_HOST? Long term it ...
7 years, 2 months ago (2013-07-23 23:37:32 UTC) #2
rmsousa
(+joi for the added API key)
7 years, 2 months ago (2013-07-26 22:31:41 UTC) #3
Jói
LGTM
7 years, 1 month ago (2013-08-12 10:16:18 UTC) #4
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/rmsousa@chromium.org/19796006/7001
7 years, 1 month ago (2013-08-14 01:07:26 UTC) #5
commit-bot: I haz the power
Retried try job too often on chromium_presubmit for step(s) presubmit http://build.chromium.org/p/tryserver.chromium/buildstatus?builder=chromium_presubmit&number=20450
7 years, 1 month ago (2013-08-14 01:53:05 UTC) #6
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/rmsousa@chromium.org/19796006/7001
7 years, 1 month ago (2013-08-14 02:19:51 UTC) #7
commit-bot: I haz the power
Retried try job too often on linux_rel for step(s) unit_tests http://build.chromium.org/p/tryserver.chromium/buildstatus?builder=linux_rel&number=159006
7 years, 1 month ago (2013-08-14 03:17:08 UTC) #8
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/rmsousa@chromium.org/19796006/43001
7 years, 1 month ago (2013-08-15 00:02:34 UTC) #9
commit-bot: I haz the power
Retried try job too often on linux_aura for step(s) unit_tests http://build.chromium.org/p/tryserver.chromium/buildstatus?builder=linux_aura&number=69184
7 years, 1 month ago (2013-08-15 01:08:57 UTC) #10
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/rmsousa@chromium.org/19796006/43001
7 years, 1 month ago (2013-08-15 01:13:41 UTC) #11
commit-bot: I haz the power
Retried try job too often on mac_rel for step(s) unit_tests http://build.chromium.org/p/tryserver.chromium/buildstatus?builder=mac_rel&number=160085
7 years, 1 month ago (2013-08-15 02:23:37 UTC) #12
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/rmsousa@chromium.org/19796006/89001
7 years, 1 month ago (2013-08-15 19:59:34 UTC) #13
commit-bot: I haz the power
Retried try job too often on mac_rel for step(s) unit_tests http://build.chromium.org/p/tryserver.chromium/buildstatus?builder=mac_rel&number=160483
7 years, 1 month ago (2013-08-15 20:44:33 UTC) #14
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/rmsousa@chromium.org/19796006/89001
7 years, 1 month ago (2013-08-16 01:02:42 UTC) #15
commit-bot: I haz the power
7 years, 1 month ago (2013-08-16 05:18:43 UTC) #16
Message was sent while issue was closed.
Change committed as 217941

Powered by Google App Engine
This is Rietveld 408576698